Package org.eclipse.graphiti.features

# Interface IRemoveBendpointFeature

All Superinterfaces:
  `IDescription`, `IFeature`, `IFeatureProviderHolder`, `IName`

All Known Implementing Classes:
  `DefaultRemoveBendpointFeature`

public interface IRemoveBendpointFeature extends IFeature
The Interface IRemoveBendpointFeature.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canRemoveBendpoint(IRemoveBendpointContext context)`
Can remove bendpoint.
`void`
`removeBendpoint(IRemoveBendpointContext context)`
Removes the bendpoint.

### Methods inherited from interface org.eclipse.graphiti.IDescription

`getDescription`

### Methods inherited from interface org.eclipse.graphiti.features.IFeature

`canExecute, canUndo, execute, hasDoneChanges, isAvailable`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.IName

`getName`

## Method Details

### canRemoveBendpoint

boolean canRemoveBendpoint(IRemoveBendpointContext context)
Can remove bendpoint.

Parameters:
  `context` - the context
Returns:
  true, if successful

### removeBendpoint

void removeBendpoint(IRemoveBendpointContext context)
Removes the bendpoint.

Parameters:
  `context` - the context